<* +MAIN *>
<*+O2EXTENSIONS*>
<* ALIGNMENT = "8" *>
MODULE Test;
IMPORT Iup := iuplib;
VAR ml: Iup.Ihandle;

--PROCEDURE ["C"] BtnCB(self: Iup.Ihandle);
--BEGIN
--	Iup.IupSetAttribute(ml, "VALUE", "Hello!")		
--END BtnCB;	
	
PROCEDURE Main*;
VAR
	dlg, bt, split: Iup.Ihandle;
	argc: INTEGER;
    argv: ARRAY 1 OF Iup.Istring;
    res: INTEGER;
	--prev: Iup.Icallback; (* the address of the previous function associated to the action. *)
BEGIN
	res := Iup.IupOpen(argc, argv);
	
	bt := Iup.IupButton("Button", "btn_test");
	Iup.IupSetAttribute(bt, "EXPAND", "YES");
	--prev := Iup.IupSetCallback(bt, "ACTION", BtnCB);
	
	ml := Iup.IupSetAttributes(Iup.IupMultiLine(NIL), "EXPAND = YES, VISIBLELINES = 5, VISIBLECOLUMNS = 10");
	
	split := Iup.IupSplit(bt, ml);
	Iup.IupSetAttribute(split, "ORIENTATION", "VERTICAL");
	Iup.IupSetAttribute(split, "COLOR", "255 20 20");
	
	dlg := Iup.IupDialog(Iup.IupSetAttributes(Iup.IupVbox(split, NIL), "MARGIN = 10x10, GAP = 10"));
	Iup.IupSetAttribute(dlg, "TITLE", "IupSplit Example");
	
	res := Iup.IupShow(dlg);
	res := Iup.IupMainLoop();
	Iup.IupClose();
		
END Main;

BEGIN
    Main;
END Test.